GET api/contractItemapi/contractItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ContractItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| item_code | string |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "7dfe41e9-e627-4f10-ac76-dbe49be86300",
"selected_nameplate_id": "5da7bb60-eb1d-4960-84b7-aefe47dcfb93",
"active": true,
"contract_id": "633d6531-79ef-4fd7-8222-6a9e9a17510e",
"id": "d43004f1-ffeb-470b-b9a5-0dbc66164728",
"physical_item_id": "e5552a91-7a31-4307-81c0-3e0fcb126d08",
"service_item_id": "2f402432-50ea-4f62-bafb-ebf6051300e6",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<contract_id>633d6531-79ef-4fd7-8222-6a9e9a17510e</contract_id>
<id>d43004f1-ffeb-470b-b9a5-0dbc66164728</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>e5552a91-7a31-4307-81c0-3e0fcb126d08</physical_item_id>
<quantity>1</quantity>
<service_item_id>2f402432-50ea-4f62-bafb-ebf6051300e6</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>5da7bb60-eb1d-4960-84b7-aefe47dcfb93</selected_nameplate_id>
<selected_sticker_id>7dfe41e9-e627-4f10-ac76-dbe49be86300</selected_sticker_id>
</contract_item>